Bug 148014 - [update] libticonv/libtifiles2/libticables2/libticalcs2/tilp2/tiemu3
Summary: [update] libticonv/libtifiles2/libticables2/libticalcs2/tilp2/tiemu3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-20 18:50 UTC by Tijl Coosemans
Modified: 2010-09-05 20:00 UTC (History)
1 user (show)

See Also:


Attachments
libticonv.update (1.94 KB, text/plain)
2010-06-20 18:50 UTC, Tijl Coosemans
no flags Details
libticables2.update (2.32 KB, text/plain)
2010-06-20 18:50 UTC, Tijl Coosemans
no flags Details
tilp2.update (1.83 KB, text/plain)
2010-06-20 18:50 UTC, Tijl Coosemans
no flags Details
file.diff (2.17 KB, patch)
2010-06-20 18:50 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans 2010-06-20 18:50:01 UTC
- converters/libticonv update to 1.1.1
- devel/libtifiles2 update to 1.1.3
- comms/libticables2 update to 1.3.2
  (also fix libusb dependency on FreeBSD 8)
- comms/libticalcs2 update to 1.1.5
- comms/tilp2 update to 1.14
- emulators/tiemu3 update to 3.03

There are some library version bumps, but all dependent ports are
included in this PR (checked with INDEX-8).

The update to emulators/tiemu3 requires maintainer approval (CCed). The
new version is needed to work with the new comms/libticables2. Its
distfile is only available at http://www.ticalc.org/pub/unix/tiemu.tar.gz
but that location is overwritten on each new release, so I opted to host
it myself.

Fix: diff -ur libtifiles2.orig/Makefile libtifiles2/Makefile
--- libtifiles2.orig/Makefile	2010-04-28 17:38:29.000000000 +0200
+++ libtifiles2/Makefile	2010-04-28 17:46:02.000000000 +0200
@@ -6,18 +6,18 @@
 #
 
 PORTNAME=	libtifiles2
-PORTVERSION=	1.1.1
-PORTREVISION=	1
+PORTVERSION=	1.1.3
 CATEGORIES=	devel
-MASTER_SITES=	SF/tilp/tilp2-linux/tilp2-1.11
-DISTNAME=	tilibs2-20080328
+MASTER_SITES=	http://lpg.ticalc.org/prj_tilp/download/ \
+		http://tijl.fastmail.fm/mirror/
 
 MAINTAINER=	tijl@coosemans.org
 COMMENT=	TI calculator file types library
 
-LIB_DEPENDS=	ticonv.3:${PORTSDIR}/converters/libticonv
+LIB_DEPENDS=	ticonv.4:${PORTSDIR}/converters/libticonv
 
 USE_AUTOTOOLS=	libtool:22
+USE_BZIP2=	yes
 USE_GMAKE=	yes
 USE_GNOME=	glib20 gnomehack pkgconfig
 USE_LDCONFIG=	yes
@@ -33,9 +33,4 @@
 CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include"\
 		LDFLAGS="-L${LOCALBASE}/lib"
 
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
-
-post-extract:
-	@cd ${WRKDIR} && ${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} ${WRKDIR}/tilibs2/${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX} ${EXTRACT_AFTER_ARGS}
-
 .include <bsd.port.mk>
diff -ur libtifiles2.orig/distinfo libtifiles2/distinfo
--- libtifiles2.orig/distinfo	2010-04-28 17:38:29.000000000 +0200
+++ libtifiles2/distinfo	2010-04-28 17:44:56.000000000 +0200
@@ -1,3 +1,3 @@
-MD5 (tilibs2-20080328.tar.gz) = 63ade8dfde9553b5df3acf2a7d12704f
-SHA256 (tilibs2-20080328.tar.gz) = 44310b33ccd2b689912755330254ede1d75e9169128fc998539b813da40cdcb3
-SIZE (tilibs2-20080328.tar.gz) = 2140075
+MD5 (libtifiles2-1.1.3.tar.bz2) = 49c9a6a99c0f1fe8c376c10518fe8acb
+SHA256 (libtifiles2-1.1.3.tar.bz2) = 6f097a769c945547977a243c69bfecbbcb7c80117f4a1bf5e68a37837ff631f5
+SIZE (libtifiles2-1.1.3.tar.bz2) = 408005
diff -ur libtifiles2.orig/pkg-plist libtifiles2/pkg-plist
--- libtifiles2.orig/pkg-plist	2010-04-28 17:38:29.000000000 +0200
+++ libtifiles2/pkg-plist	2010-04-28 17:47:20.000000000 +0200
@@ -20,7 +20,7 @@
 lib/libtifiles2.a
 lib/libtifiles2.la
 lib/libtifiles2.so
-lib/libtifiles2.so.5
+lib/libtifiles2.so.6
 libdata/pkgconfig/tifiles2.pc
 %%NLS%%share/locale/fr/LC_MESSAGES/libtifiles2.mo
 @dirrmtry include/tilp2
--- libtifiles2.update ends here ---

diff -ur libticalcs2.orig/Makefile libticalcs2/Makefile
--- libticalcs2.orig/Makefile	2010-04-29 18:10:46.000000000 +0200
+++ libticalcs2/Makefile	2010-04-29 18:15:25.000000000 +0200
@@ -6,20 +6,20 @@
 #
 
 PORTNAME=	libticalcs2
-PORTVERSION=	1.1.2
-PORTREVISION=	1
+PORTVERSION=	1.1.5
 CATEGORIES=	comms
-MASTER_SITES=	SF/tilp/tilp2-linux/tilp2-1.11
-DISTNAME=	tilibs2-20080328
+MASTER_SITES=	http://lpg.ticalc.org/prj_tilp/download/ \
+		http://tijl.fastmail.fm/mirror/
 
 MAINTAINER=	tijl@coosemans.org
 COMMENT=	TI calculator library
 
-LIB_DEPENDS=	ticables2.1:${PORTSDIR}/comms/libticables2 \
-		ticonv.3:${PORTSDIR}/converters/libticonv \
-		tifiles2.5:${PORTSDIR}/devel/libtifiles2
+LIB_DEPENDS=	ticables2.4:${PORTSDIR}/comms/libticables2 \
+		ticonv.4:${PORTSDIR}/converters/libticonv \
+		tifiles2.6:${PORTSDIR}/devel/libtifiles2
 
 USE_AUTOTOOLS=	libtool:22
+USE_BZIP2=	yes
 USE_GMAKE=	yes
 USE_GNOME=	glib20 gnomehack pkgconfig
 USE_LDCONFIG=	yes
@@ -35,9 +35,4 @@
 CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include"\
 		LDFLAGS="-L${LOCALBASE}/lib"
 
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
-
-post-extract:
-	@cd ${WRKDIR} && ${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} ${WRKDIR}/tilibs2/${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX} ${EXTRACT_AFTER_ARGS}
-
 .include <bsd.port.mk>
diff -ur libticalcs2.orig/distinfo libticalcs2/distinfo
--- libticalcs2.orig/distinfo	2010-04-29 18:10:46.000000000 +0200
+++ libticalcs2/distinfo	2010-04-29 18:14:26.000000000 +0200
@@ -1,3 +1,3 @@
-MD5 (tilibs2-20080328.tar.gz) = 63ade8dfde9553b5df3acf2a7d12704f
-SHA256 (tilibs2-20080328.tar.gz) = 44310b33ccd2b689912755330254ede1d75e9169128fc998539b813da40cdcb3
-SIZE (tilibs2-20080328.tar.gz) = 2140075
+MD5 (libticalcs2-1.1.5.tar.bz2) = 4caae7510974b0c9687c68c24836e084
+SHA256 (libticalcs2-1.1.5.tar.bz2) = 46e338554a77754485f19746fa508df7823bff9a410449ca66c02af9bd5e0320
+SIZE (libticalcs2-1.1.5.tar.bz2) = 471954
diff -ur libticalcs2.orig/pkg-plist libticalcs2/pkg-plist
--- libticalcs2.orig/pkg-plist	2010-04-29 18:10:46.000000000 +0200
+++ libticalcs2/pkg-plist	2010-04-29 18:18:46.000000000 +0200
@@ -8,7 +8,7 @@
 lib/libticalcs2.a
 lib/libticalcs2.la
 lib/libticalcs2.so
-lib/libticalcs2.so.7
+lib/libticalcs2.so.8
 libdata/pkgconfig/ticalcs2.pc
 %%NLS%%share/locale/fr/LC_MESSAGES/libticalcs2.mo
 @dirrmtry include/tilp2
--- libticalcs2.update ends here ---
Comment 1 Naram Qashat 2010-06-20 22:09:09 UTC
I approve the update to tiemu3, and if need be, I can start hosting a copy of 
the distfile on my own server as well, so there is more than one (since I know 
portlint likes to complain about it even if it is only a warning).

Thanks,
Naram Qashat
Comment 2 Max Brazhnikov freebsd_committer 2010-09-03 20:01:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 3 dfilter service freebsd_committer 2010-09-05 19:52:47 UTC
makc        2010-09-05 18:52:38 UTC

  FreeBSD ports repository

  Modified files:
    converters/libticonv Makefile distinfo pkg-plist 
  Log:
  Update to 1.1.1
  
  PR:             ports/148014
  Submitted by:   Tijl Coosemans (maintainer)
  
  Revision  Changes    Path
  1.10      +4 -10     ports/converters/libticonv/Makefile
  1.6       +3 -3      ports/converters/libticonv/distinfo
  1.4       +1 -1      ports/converters/libticonv/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2010-09-05 19:53:03 UTC
makc        2010-09-05 18:52:52 UTC

  FreeBSD ports repository

  Modified files:
    devel/libtifiles2    Makefile distinfo pkg-plist 
  Log:
  Update to 1.1.3
  
  PR:             ports/148014
  Submitted by:   Tijl Coosemans (maintainer)
  
  Revision  Changes    Path
  1.13      +5 -10     ports/devel/libtifiles2/Makefile
  1.8       +3 -3      ports/devel/libtifiles2/distinfo
  1.4       +1 -1      ports/devel/libtifiles2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2010-09-05 19:53:47 UTC
makc        2010-09-05 18:53:39 UTC

  FreeBSD ports repository

  Modified files:
    comms/libticables2   Makefile distinfo pkg-plist 
  Log:
  Update to 1.3.2
  fix libusb dependency on FreeBSD 8
  
  PR:             ports/148014
  Submitted by:   Tijl Coosemans (maintainer)
  
  Revision  Changes    Path
  1.12      +10 -13    ports/comms/libticables2/Makefile
  1.7       +3 -3      ports/comms/libticables2/distinfo
  1.2       +1 -1      ports/comms/libticables2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2010-09-05 19:53:58 UTC
makc        2010-09-05 18:53:44 UTC

  FreeBSD ports repository

  Modified files:
    comms/libticalcs2    Makefile distinfo pkg-plist 
  Log:
  Update to 1.1.5
  
  PR:             ports/148014
  Submitted by:   Tijl Coosemans (maintainer)
  
  Revision  Changes    Path
  1.14      +7 -12     ports/comms/libticalcs2/Makefile
  1.8       +3 -3      ports/comms/libticalcs2/distinfo
  1.5       +1 -1      ports/comms/libticalcs2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2010-09-05 19:54:07 UTC
makc        2010-09-05 18:53:50 UTC

  FreeBSD ports repository

  Modified files:
    comms/tilp2          Makefile distinfo 
  Log:
  Update to 1.14
  
  PR:             ports/148014
  Submitted by:   Tijl Coosemans (maintainer)
  
  Revision  Changes    Path
  1.18      +8 -9      ports/comms/tilp2/Makefile
  1.7       +3 -3      ports/comms/tilp2/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2010-09-05 19:54:19 UTC
makc        2010-09-05 18:54:05 UTC

  FreeBSD ports repository

  Modified files:
    emulators/tiemu3     Makefile distinfo 
  Log:
  Update to 3.03
  
  PR:             ports/148014
  Submitted by:   Tijl Coosemans <tijl at coosemans.org>
  Approved by:    Naram Qashat (maintainer)
  
  Revision  Changes    Path
  1.11      +11 -17    ports/emulators/tiemu3/Makefile
  1.3       +3 -3      ports/emulators/tiemu3/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Max Brazhnikov freebsd_committer 2010-09-05 19:54:33 UTC
State Changed
From-To: open->closed

Committed. Thanks!